# WOK
TKWOK
EDL

# EDL_DataMapIteratorOfMapOfVariable Class Reference

`#include <EDL_DataMapIteratorOfMapOfVariable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | EDL_DataMapIteratorOfMapOfVariable ()
Standard_EXPORT | EDL_DataMapIteratorOfMapOfVariable (const EDL_MapOfVariable &aMap)
Standard_EXPORT void | Initialize (const EDL_MapOfVariable &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const EDL_Variable & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT EDL_DataMapIteratorOfMapOfVariable::EDL_DataMapIteratorOfMapOfVariable | ( |  | ) |

Standard_EXPORT EDL_DataMapIteratorOfMapOfVariable::EDL_DataMapIteratorOfMapOfVariable | ( | const EDL_MapOfVariable & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void EDL_DataMapIteratorOfMapOfVariable::Initialize | ( | const EDL_MapOfVariable & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& EDL_DataMapIteratorOfMapOfVariable::Key | ( |  | ) | const

void EDL_DataMapIteratorOfMapOfVariable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* EDL_DataMapIteratorOfMapOfVariable::operator new | ( | size_t | size | ) | `[inline]`

void* EDL_DataMapIteratorOfMapOfVariable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const EDL_Variable& EDL_DataMapIteratorOfMapOfVariable::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- EDL_DataMapIteratorOfMapOfVariable.hxx